Bug 492971 - Review Request: lv2-zynadd-plugins - LV2 port of the ZynAddSubFX engine
Review Request: lv2-zynadd-plugins - LV2 port of the ZynAddSubFX engine
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mattias Ellert
Fedora Extras Quality Assurance
:
Depends On: 492969
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-30 19:35 EDT by Orcan Ogetbil
Modified: 2009-05-12 00:00 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-11 23:56:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mattias.ellert: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orcan Ogetbil 2009-03-30 19:35:27 EDT
Spec URL: http://oget.fedorapeople.org/review/lv2-zynadd-plugins.spec
SRPM URL: http://oget.fedorapeople.org/review/lv2-zynadd-plugins-1-2.fc10.src.rpm
Description: 
The zyn project main goal is to extract synth engines from ZynAddSubFX and pack
them in LV2 plugin format. Resulting plugins are heavily based on work made by
Nasca Octavian Paul. If you like the amazing sounds these plugins generate you
should thank Paul for this.


rpmlint is silent.

The package is named lv2-zynadd-plugins for consistency with other plugins we
have in Fedora, ladspa-xxx-plugins in particular.
Comment 1 Mattias Ellert 2009-04-23 10:10:41 EDT
Fedora review lv2-zynadd-plugins-1-2.fc10.src.rpm 2009-04-23

* OK
! Needs attention
? Needs clarification

rpmlint output:

lv2-zynadd-plugins.spec: W: mixed-use-of-spaces-and-tabs (spaces: line 12, tab: line 3)
lv2-zynadd-plugins.src: W: mixed-use-of-spaces-and-tabs (spaces: line 12, tab: line 3)
3 packages and 1 specfiles checked; 0 errors, 2 warnings.

! rpmlint warning is fixable (replace the space on line 12 with a tab)

* Package is named according to guidelines

* Specfile is named after the package

* The package is licensed as GPLv2 which is a Fedora approved license

* The license matches the license statements in the source

* The license file in the sources (gpl.txt) is packaged as %doc

* The spec file is written in legible English

* The source matches upstream and is the latest version
  ead0a8db5440e480c8a23441195a76df  zyn-1.tar.bz2
  ead0a8db5440e480c8a23441195a76df  SRPM/zyn-1.tar.bz2

* Package builds in mock (Fedora 10)

? BuildRequires on jack-audio-connection-kit-devel - is it needed?

* No shared libraries in the default library path

! Neither the package nor any of its Requires own %{_libdir}/lv2
  (the other two plugin packages have Requires: lv2core)

* No duplicate files

* Permissions are sane and %files has %defattr

* %clean clear buildroot

* Macros are used consistently

* Contains code

* %doc is not essential at runtime

* Package does not own other's directories

* %install clears buildroot

* Installed filenames are valid UTF-8
Comment 2 Orcan Ogetbil 2009-04-23 11:27:42 EDT
In reply to comment #1)
> Fedora review lv2-zynadd-plugins-1-2.fc10.src.rpm 2009-04-23

Thank you.

> 
> ! rpmlint warning is fixable (replace the space on line 12 with a tab)
> 

Fixed. I couldn't find any spaces in the line. Anyway, I removed all the whitespace and recreated the tabs, now there's no rpmlint. Weird.

> ? BuildRequires on jack-audio-connection-kit-devel - is it needed?
> 

I don't think so. No idea how it got there. Removed.

> ! Neither the package nor any of its Requires own %{_libdir}/lv2
>   (the other two plugin packages have Requires: lv2core)
> 

My sloppiness. Added requires.
Spec URL: http://oget.fedorapeople.org/review/lv2-zynadd-plugins.spec
SRPM URL:
http://oget.fedorapeople.org/review/lv2-zynadd-plugins-1-3.fc10.src.rpm
Comment 3 Mattias Ellert 2009-04-24 06:45:33 EDT
Package approved.
Comment 4 Orcan Ogetbil 2009-04-24 11:57:01 EDT
Thank you!

New Package CVS Request
=======================
Package Name: oget
Short Description: LV2 port of the ZynAddSubFX engine
Owners: oget
Branches: F-10 F-11
InitialCC:
Comment 5 Orcan Ogetbil 2009-04-24 11:57:50 EDT
Oops I did it again. The correct request would be:

New Package CVS Request
=======================
Package Name: lv2-zynadd-plugins
Short Description: LV2 port of the ZynAddSubFX engine
Owners: oget
Branches: F-10 F-11
InitialCC:
Comment 6 Kevin Fenzi 2009-04-27 01:26:35 EDT
cvs done.
Comment 7 Fedora Update System 2009-04-27 14:38:45 EDT
lv2-zynadd-plugins-1-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/lv2-zynadd-plugins-1-3.fc11
Comment 8 Fedora Update System 2009-04-27 14:39:18 EDT
lv2-zynadd-plugins-1-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/lv2-zynadd-plugins-1-3.fc10
Comment 9 Fedora Update System 2009-04-27 21:21:29 EDT
lv2-zynadd-plugins-1-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lv2-zynadd-plugins'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4081
Comment 10 Fedora Update System 2009-05-09 00:24:55 EDT
lv2-zynadd-plugins-1-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lv2-zynadd-plugins'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-4651
Comment 11 Fedora Update System 2009-05-11 23:56:23 EDT
lv2-zynadd-plugins-1-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-05-12 00:00:42 EDT
lv2-zynadd-plugins-1-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.